Package io.vertx.micrometer.backends

## Enum NoopBackendRegistry

- java.lang.Object
- - java.lang.Enum<NoopBackendRegistry>
  - - io.vertx.micrometer.backends.NoopBackendRegistry

- All Implemented Interfaces:
    `BackendRegistry`, `Serializable`, `Comparable<NoopBackendRegistry>`

      public enum NoopBackendRegistry
      extends Enum<NoopBackendRegistry>
      implements BackendRegistry

  Author:
    Joel Takvorian

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INSTANCE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `io.micrometer.core.instrument.MeterRegistry` | `getMeterRegistry()` |
    `void` | `init()` |
    `static NoopBackendRegistry` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NoopBackendRegistry[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final NoopBackendRegistry INSTANCE

  - ### Method Detail

    - #### values

          public static NoopBackendRegistry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoopBackendRegistry c : NoopBackendRegistry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoopBackendRegistry valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMeterRegistry

          public io.micrometer.core.instrument.MeterRegistry getMeterRegistry()

      Specified by:
        `getMeterRegistry` in interface `BackendRegistry`

    - #### init

          public void init()

      Specified by:
        `init` in interface `BackendRegistry`

    - #### close

          public void close()

      Specified by:
        `close` in interface `BackendRegistry`